org.apache.ignite.ml.environment

## Interface LearningEnvironmentBuilder

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    DefaultLearningEnvironmentBuilder

      public interface LearningEnvironmentBuilder
      extends Serializable

  Builder of learning environment.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default LearningEnvironment` | `buildForTrainer()` Builds learning environment for trainer.
    `LearningEnvironment` | `buildForWorker(int part)` Builds `LearningEnvironment` for worker on given partition.
    `static LearningEnvironmentBuilder` | `defaultBuilder()` Get default `LearningEnvironmentBuilder`.
    `LearningEnvironmentBuilder` | `withDataTtl(long dataTtl)` Specify partition data time-to-live in seconds (-1 for an infinite lifetime).
    `default <T extends MLLogger.Factory & Serializable> LearningEnvironmentBuilder` | `withLoggingFactory(T loggingFactory)` Specify logging factory.
    `LearningEnvironmentBuilder` | `withLoggingFactoryDependency(IgniteFunction<Integer,MLLogger.Factory> loggingFactory)` Specify dependency (partition -> logging factory).
    `default <T extends ParallelismStrategy & Serializable> LearningEnvironmentBuilder` | `withParallelismStrategy(T stgy)` Specifies Parallelism Strategy for LearningEnvironment.
    `LearningEnvironmentBuilder` | `withParallelismStrategyDependency(IgniteFunction<Integer,ParallelismStrategy> stgy)` Specifies dependency (partition -> Parallelism Strategy for LearningEnvironment).
    `default LearningEnvironmentBuilder` | `withParallelismStrategyType(ParallelismStrategy.Type stgyType)` Specifies Parallelism Strategy Type for LearningEnvironment.
    `LearningEnvironmentBuilder` | `withParallelismStrategyTypeDependency(IgniteFunction<Integer,ParallelismStrategy.Type> stgyType)` Specifies dependency (partition -> Parallelism Strategy Type for LearningEnvironment).
    `default LearningEnvironmentBuilder` | `withRandom(Random random)` Specify random numbers generator for learning environment.
    `LearningEnvironmentBuilder` | `withRandomDependency(IgniteFunction<Integer,Random> rngSupplier)` Specify dependency (partition -> random numbers generator).
    `default LearningEnvironmentBuilder` | `withRNGSeed(long seed)` Specify seed for random number generator.
    `LearningEnvironmentBuilder` | `withRNGSeedDependency(IgniteFunction<Integer,Long> seed)` Specify dependency (partition -> seed for random number generator).

- - ### Method Detail

    - #### buildForWorker

          LearningEnvironment buildForWorker(int part)

      Builds `LearningEnvironment` for worker on given partition.
      Parameters:
        `part` - Partition.
      Returns:
        `LearningEnvironment` for worker on given partition.

    - #### buildForTrainer

          default LearningEnvironment buildForTrainer()

      Builds learning environment for trainer.
      Returns:
        Learning environment for trainer.

    - #### withParallelismStrategyTypeDependency

          LearningEnvironmentBuilder withParallelismStrategyTypeDependency(IgniteFunction<Integer,ParallelismStrategy.Type> stgyType)

      Specifies dependency (partition -> Parallelism Strategy Type for LearningEnvironment).
      Parameters:
        `stgyType` - Function describing dependency (partition -> Parallelism Strategy Type).
      Returns:
        This object.

    - #### withParallelismStrategyType

          default LearningEnvironmentBuilder withParallelismStrategyType(ParallelismStrategy.Type stgyType)

      Specifies Parallelism Strategy Type for LearningEnvironment. Same strategy type will be used for all partitions.
      Parameters:
        `stgyType` - Parallelism Strategy Type.
      Returns:
        This object.

    - #### withParallelismStrategyDependency

          LearningEnvironmentBuilder withParallelismStrategyDependency(IgniteFunction<Integer,ParallelismStrategy> stgy)

      Specifies dependency (partition -> Parallelism Strategy for LearningEnvironment).
      Parameters:
        `stgy` - Function describing dependency (partition -> Parallelism Strategy).
      Returns:
        This object.

    - #### withParallelismStrategy

          default <T extends ParallelismStrategy & Serializable> LearningEnvironmentBuilder withParallelismStrategy(T stgy)

      Specifies Parallelism Strategy for LearningEnvironment. Same strategy type will be used for all partitions.
      Type Parameters:
        `T` - Parallelism strategy type.
      Parameters:
        `stgy` - Parallelism Strategy.
      Returns:
        This object.

    - #### withLoggingFactoryDependency

          LearningEnvironmentBuilder withLoggingFactoryDependency(IgniteFunction<Integer,MLLogger.Factory> loggingFactory)

      Specify dependency (partition -> logging factory).
      Parameters:
        `loggingFactory` - Function describing (partition -> logging factory).
      Returns:
        This object.

    - #### withLoggingFactory

          default <T extends MLLogger.Factory & Serializable> LearningEnvironmentBuilder withLoggingFactory(T loggingFactory)

      Specify logging factory.
      Parameters:
        `loggingFactory` - Logging factory.
      Returns:
        This object.

    - #### withRNGSeedDependency

          LearningEnvironmentBuilder withRNGSeedDependency(IgniteFunction<Integer,Long> seed)

      Specify dependency (partition -> seed for random number generator). Same seed will be used for all partitions.
      Parameters:
        `seed` - Function describing dependency (partition -> seed for random number generator).
      Returns:
        This object.

    - #### withRNGSeed

          default LearningEnvironmentBuilder withRNGSeed(long seed)

      Specify seed for random number generator.
      Parameters:
        `seed` - Seed for random number generator.
      Returns:
        This object.

    - #### withRandomDependency

          LearningEnvironmentBuilder withRandomDependency(IgniteFunction<Integer,Random> rngSupplier)

      Specify dependency (partition -> random numbers generator).
      Parameters:
        `rngSupplier` - Function describing dependency (partition -> random numbers generator).
      Returns:
        This object.

    - #### withRandom

          default LearningEnvironmentBuilder withRandom(Random random)

      Specify random numbers generator for learning environment. Same random will be used for all partitions.
      Parameters:
        `random` - Rrandom numbers generator for learning environment.
      Returns:
        This object.

    - #### withDataTtl

          LearningEnvironmentBuilder withDataTtl(long dataTtl)

      Specify partition data time-to-live in seconds (-1 for an infinite lifetime).
      Parameters:
        `dataTtl` - Partition data time-to-live in seconds (-1 for an infinite lifetime).
      Returns:
        This object.

    - #### defaultBuilder

          static LearningEnvironmentBuilder defaultBuilder()

      Get default `LearningEnvironmentBuilder`.
      Returns:
        Default `LearningEnvironmentBuilder`.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023